#include <iostream>

using namespace std;

int main()
{
    int n,k,i,f,c;
    cin>>n>>k;
    int a[n];

    c=0;
    for(i=0;i<n;i++)
    {
        cin>>a[i];
    }
    if(k==2)
    {
        f=a[0]-a[n-1];
        cout<<f;
    }
    else
    {
        k=k-1;
        i=0;
    while(k!=0)
        {
            if(a[i]>a[n-i-1])
        {
            c=c-a[n-i-1];
            i++;
            k--;

        }
        if(a[i]<a[n-i-1])
        {
            c=c-a[i];
            i++;
            k--;
        }
       }
        cout<<c;
    }
    return 0;
}